Subject: [bug#58825] [PATCH] gnu: wine: Update to 7.19.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 28 Oct 2022 00:22:35 +0200

* gnu/packages/wine.scm (wine): Update to 7.19.
---
Hi Guix,

I noticed our wine package has gained some age, but unlike alcohol, it
doesn't get better by sitting around in some cellar, so here's an
update.  I'm sending this to the mailing list first, because I
encountered a weird error while testing: basically, launching winecfg
under wine64 fails to load kernel.dll before doing anything useful.

I could trace the error back to some gstreamer thing and launching it
worked fine from a pure environment with just wine and gstreamer --
I'd hazard a guess that there's something else strange going on and it
shouldn't be much of an issue in practice.  Still, I'd like to give
y'all some time to see for yourself if this works for you before
pushing it.

Cheers

 gnu/packages/wine.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/wine.scm b/gnu/packages/wine.scm
index 231366c5de..6e86add4e3 100644
--- a/gnu/packages/wine.scm
+++ b/gnu/packages/wine.scm
@@ -76,7 +76,7 @@ (define-module (gnu packages wine)
 (define-public wine
   (package
     (name "wine")
-    (version "7.8")
+    (version "7.19")
     (source
      (origin
        (method url-fetch)
@@ -88,7 +88,7 @@ (define-public wine
               (string-append "https://dl.winehq.org/wine/source/" dir
                              "wine-" version ".tar.xz")))
        (sha256
-        (base32 "1f0r00b6lk59cmpj42b7f2jrd58d7vxfvpp54j7arwjhdg4yjxlg"))))
+        (base32 "08cxigkd83as6gkqgiwdpvr7cyy5ajsnhan3jbadwzqxdrz4kb23"))))
     (build-system gnu-build-system)
     (native-inputs
      (list bison flex gettext-minimal perl pkg-config))

base-commit: ac51b9c86d58cfdb13ee643a2fdc8e979939a260
-- 
2.38.0